> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get loyalty program list

GET https://api.brevo.com/v3/loyalty/config/programs

Returns list of loyalty programs

Reference: https://developers.brevo.com/reference/get-lp-list

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Query parameters

- `limit` (integer, optional) — Number of documents per page
- `offset` (integer, optional) — Index of the first document in the page
- `sort_field` (enum, optional) — Sort documents by field
  - Allowed values: `name`, `created_at`, `updated_at`
- `sort` (enum, optional) — Sort order
  - Allowed values: `asc`, `desc`

## Response

### 200

Loyalty Program page

- `items` (list of object, optional) — Loyalty Program list
  - `id` (string, optional) — Loyalty Program unique identifier.
  - `name` (string, optional) — Loyalty Program name.
  - `description` (string, optional) — Loyalty Program description.
  - `meta` (map from string to any, optional) — Loyalty Program metadata.
  - `state` (enum, optional) — Current state of the loyalty program.
    - Allowed values: `inactive`, `active`, `draft`
  - `subscriptionPoolId` (string, optional) — Loyalty Program subscription pool ID.
  - `subscriptionGeneratorId` (string, optional) — Loyalty Program subscription generator ID.
  - `pattern` (string, optional) — Subscription code pattern.
  - `codeCount` (long, optional) — Number of available subscription codes.
  - `documentId` (string, optional) — Associated document identifier.
  - `birthdayAttribute` (string, optional) — Contact attribute name used for birthday tracking.
  - `createdAt` (datetime, optional) — Timestamp when the loyalty program was created.
  - `updatedAt` (datetime, optional) — Timestamp when the loyalty program was last modified.

## Errors

### 400 Bad Request Error

Invalid `sort_field` parameter value.

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 401 Unauthorized Error

Request Authentication Failed.

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 403 Forbidden Error

Cannot Authenticate Request.

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 404 Not Found Error

Loyalty program not found.

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 422 Unprocessable Entity Error

Validation errors.

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 500 Internal Server Error

Internal error occurred.

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

**Response**

```json
{
  "items": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "meta": {},
      "state": "inactive",
      "subscriptionPoolId": "string",
      "subscriptionGeneratorId": "string",
      "pattern": "string",
      "codeCount": 1,
      "documentId": "string",
      "birthdayAttribute": "string",
      "createdAt": "2024-01-15T09:30:00Z",
      "updatedAt": "2024-01-15T09:30:00Z"
    }
  ]
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.program.getLpList({});
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.program.get_lp_list()

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\Program\Requests\GetLpListRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->program->getLpList(
    new GetLpListRequest([]),
);

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/loyalty/config/programs"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/loyalty/config/programs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/loyalty/config/programs")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/loyalty/config/programs");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/loyalty/config/programs")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```